package com.shulead.datasync.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @Classname ManageAreaGroupBO
 * @Description 合作区域
 * @Version 1.0.0
 * @Date 2024/5/10 10:50
 * @Created by liuxiangshun
 */
@Data
@TableName("m_manage_area_group_detail")
public class ManageAreaGroup {
    //管理组id
    private Long	areaGroupId;
    //机构id
    private Long	orgId;
    /**
     * 区域代码
     */
    private String	orgCode;
    /**
     * 合作区域
     */
    private String	orgName;
    //机构属性10直营/20合作
    private Long	orgAssociate;
    /**
     * 投资人手机号
     */
    private String	investEmployeeMobile;
    /**
     * 运营顾问手机
     */
    private String	busAdviserMobile;
    /**
     * 学术督导手机号
     */
    private String	learnDirectEmployeeMobile;
    /**
     * 学术主管手机
     */
    private String learnEmployeeMobile;

    private String updateTime;

    /**
     * 运营主管手机号
     */
    private String busEmployeeMobile;

}
