package com.shulead.datasync.entity;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

@Data
public class MStudent implements Serializable {

    @Serial
    private static final long serialVersionUID = 3012045638501853093L;

    private Long id;

    /**
    * family_id
    */
    private Long familyId;

    /**
    * 客户状态
    */
    private Integer status;

    /**
    * student_name
    */
    private String studentName;

    /**
    * english_name
    */
    private String englishName;

    /**
    * age
    */
    private Integer age;

    /**
    * sex
    */
    private Integer sex;

    /**
    * student_birthday
    */
    private Date studentBirthday;

    /**
    * student_no
    */
    private String studentNo;

    /**
    * org_id
    */
    private Long orgId;

    /**
    * school_id
    */
    private Integer schoolId;

    /**
    * read_grade
    */
    private Integer readGrade;

    /**
    * read_school
    */
    private String readSchool;

    /**
    * learn_background
    */
    private String learnBackground;

    /**
    * english_basis
    */
    private String englishBasis;

    /**
    * sign_reason
    */
    private Integer signReason;

    /**
    * memo
    */
    private String memo;

    /**
    * 创建时间
    */
    private Date createdDate;

    /**
    * created_by
    */
    private String createdBy;

    /**
    * updated_date
    */
    private Date updatedDate;

    /**
    * updated_by
    */
    private String updatedBy;

    /**
    * 0/1 0:未删除，1:已删除
    */
    private Integer deleteFlag;

    /**
    * relation
    */
    private Integer relation;

    /**
    * 学生状态
    */
    private Integer studentStatus;

    /**
    * 是否重点
    */
    private Integer isFocus;

    /**
    * 领语堂学生主键
    */
    private String bmsId;

    /**
    * 接口标识：0-内部，1-接口，2-历史数据迁移
    */
    private Integer isInterface;

    /**
    * 数据同步时间
    */
    private Date syncTime;

    /**
    * 渠道ID
    */
    private Integer channelId;

    /**
    * 已使用课时数
    */
    private Integer useClassHour;

    /**
    * 结课日期
    */
    private Date endCourseDate;

    /**
    * visit_time
    */
    private Date visitTime;

    /**
    * 品牌ID
    */
    private Integer brandId;
}